Subject: Re: bug#6700: Sort question

From: Eric Blake <[email-masked]>
Date: Thu, 22 Jul 2010 06:10:31 -0600

On 07/21/2010 10:46 PM, shtegtari wrote:
> I have a text file that I can not sort correctly with the sort command,
> no matter what switch I use.  I would send it but wanted to see first
> whether anyone reads this email.

It's hard to tell you what you are doing wrong if you don't provide the
command line you used, and at least two lines of the input file that
sorted differently than you expected given the command line you used.

Meanwhile, two common things to check:

Are you sure you are using the correct locale for your needs?  Sorting
with LC_ALL=C is different than sorting with LC_ALL=en_US.UTF8, for example.

Are you sure you are specifying keys correctly?  For example, -k1 is
much different than -k1,1.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org